## gnome-shell-extension-easyscreencast 1.0.2

=== Makefile ===
# EasyScreenCast Makefile

UUID = EasyScreenCast@iacopodeenosee.gmail.com
NAME_EXTENSION = EasyScreenCast
BASE_MODULES = convenience.js prefs.js selection.js utilgsp.js utilwebcam.js COPYING extension.js metadata.json README.md  settings.js  timer.js utilnotify.js Options_UI.glade package.json stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js
IMG_MEDIA = icon_defaultSel.svg Icon_Info.png icon_recordingSel.svg icon_default.svg Icon_Performance.svg Icon_Quality.svg  icon_recording.svg

TOLOCALIZE =  prefs.js extension.js selection.js utilwebcam.js
MSGSRC = $(wildcard locale/*.po)

ifeq ($(strip $(DESTDIR)),)
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
endif

INSTALLNAME = EasyScreenCast@iacopodeenosee.gmail.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING = _$(VERSION)
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./locale/*.mo

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.easyscreencast.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./locale/easyscreencast.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./locale/easyscreencast.pot; \
	done;

./locale/easyscreencast.pot: $(TOLOCALIZE) Options_UI.glade
	mkdir -p locale
	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --add-comments='Translators:' -o locale/easyscreencast.pot --package-name "EasyScreenCast" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Options_UI.glade
	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --join-existing -o locale/easyscreencast.pot Options_UI.glade.h
	rm Options_UI.glade.h

./locale/%.mo: ./locale/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(NAME_EXTENSION)$(VSTRING).zip" .
	mv _build/$(NAME_EXTENSION)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) _build
	mkdir -p _build/images
	cd images ; cp $(IMG_MEDIA) ../_build/images/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/$(UUID).mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

## gnome-shell-extension-easyscreencast 1.0.1

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.0.1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Initial release (closes: #887747)
  * New upstream version 1.0.1
  * Bump DH level to 11
  * Bump Standards-Version to 4.2.1
  * Bump watch to v4
  * d/copyright: update file
  * Add --with gnome to d/rules
  * wrap-and-sort -a

  [ Sophie Brun ]
  * d/p/update-compatibility.patch: update for 3.30

 -- Samuel Henrique <samueloph@debian.org>  Thu, 04 Oct 2018 03:19:35 -0300

gnome-shell-extension-easyscreencast (0.10-0kali4) kali-dev; urgency=medium

  * Update metadata.json to add gnome-shell 3.28

 -- Sophie Brun <sophie@freexian.com>  Mon, 26 Mar 2018 16:32:09 +0200

gnome-shell-extension-easyscreencast (0.10-0kali3) kali-dev; urgency=medium

  * Update metadata.json to add gnome-shell 3.27

 -- Sophie Brun <sophie@freexian.com>  Mon, 19 Mar 2018 14:36:55 +0100

gnome-shell-extension-easyscreencast (0.10-0kali2) kali-dev; urgency=medium

  * Update metadata.json to add gnome-shell 3.26

 -- Sophie Brun <sophie@freexian.com>  Tue, 07 Nov 2017 10:32:16 +0100

gnome-shell-extension-easyscreencast (0.10-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 25 Apr 2017 16:45:48 +0200

gnome-shell-extension-easyscreencast (0.9.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 06 Apr 2017 11:46:39 +0200

gnome-shell-extension-easyscreencast (0.9.8.3-0kali2) kali-dev; urgency=medium

  * Add compatibility with gnome-shell 3.21.* and 3.22

 -- Sophie Brun <sophie@freexian.com>  Thu, 15 Sep 2016 10:53:26 +0200

gnome-shell-extension-easyscreencast (0.9.8.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release (compatible with gnome-shell 3.20)

 -- Sophie Brun <sophie@freexian.com>  Thu, 28 Apr 2016 11:50:58 +0200

gnome-shell-extension-easyscreencast (0.9.8.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 01 Apr 2016 15:36:36 +0200

gnome-shell-extension-easyscreencast (0.9.7.2+git20151023-0kali1) kali-dev; urgency=medium

  * Import snapshot (compatible with gnome-shell 3.18)

 -- Sophie Brun <sophie@freexian.com>  Fri, 23 Oct 2015 11:04:38 +0200

gnome-shell-extension-easyscreencast (0.9.7.2-0kali1) kali-dev; urgency=medium

  * Import new version

 -- Sophie Brun <sophie@freexian.com>  Fri, 23 Oct 2015 10:09:00 +0200

gnome-shell-extension-easyscreencast (0.9.7.1-0kali1) kali-dev; urgency=medium

  * Import new version (compatible with gnome-shell 3.16)

 -- Sophie Brun <sophie@freexian.com>  Mon, 06 Jul 2015 09:27:01 +0200

gnome-shell-extension-easyscreencast (0.9.7-0kali1) kali-dev; urgency=low

  * Initial packaging for kali

 -- Sophie Brun <sophie@freexian.com>  Tue, 19 May 2015 15:40:51 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extension-easyscreencast
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>,
           Sophie Brun <sophie@freexian.com>
Build-Depends: debhelper (>= 11),
               libglib2.0-bin,
               gnome-pkg-tools
Standards-Version: 4.2.1
Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast.git

Package: gnome-shell-extension-easyscreencast
Architecture: all
Depends: gnome-shell (<< 3.31),
         gnome-shell (>= 3.16),
         libgtk-3-common (>= 3.10),
         ${misc:Depends}
Description: GNOME Shell extension to simplify video recording
 This extension simplifies the use of the video recording function integrated
 in GNOME Shell, allows quickly to change the various settings of the desktop
 recording.

## gnome-shell-extension-easyscreencast 1.0.2

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:55:31 +0800

gnome-shell-extension-easyscreencast (1.0.2-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in: Bump max gnome-shell to 3.33

  [ Samuel Henrique ]
  * Update DH to 12
  * Bump Standards-Version to 4.3.0

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Feb 2019 13:06:50 +0000

gnome-shell-extension-easyscreencast (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/p/update-compatibility: applied upstream
  * d/copyright: use https

 -- Samuel Henrique <samueloph@debian.org>  Wed, 05 Dec 2018 21:56:06 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Sophie Brun <sophie@freexian.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libglib2.0-bin,
                gnome-pkg-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast.git
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 3.31),
+Depends: gnome-shell (<< 3.33),
          gnome-shell (>= 3.16),
          libgtk-3-common (>= 3.10),
          ${misc:Depends}

## gnome-shell-extension-easyscreencast 1.0.2+git20191008

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.0.2+git20191008-1) unstable; urgency=medium

  * New upstream version 1.0.2+git20191008
  * Bump Standards-Version to 4.4.1
  * d/control: Update Dependency's version requirement (closes: #941880)
  * d/p/makefile.patch: Update patch
  * d/p/deprecations.patch: Add patch in PR state upstream for 3.30+ support
  * d/p/supported-gnome-versions.patch: New patch to update supported versions
  * d/p/value-changed.patch: New patch for gnome 3.34 support

 -- Samuel Henrique <samueloph@debian.org>  Wed, 09 Oct 2019 01:11:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
 Build-Depends: debhelper (>= 12),
                libglib2.0-bin,
                gnome-pkg-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast.git
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 3.33),
-         gnome-shell (>= 3.16),
-         libgtk-3-common (>= 3.10),
+Depends: gnome-shell (<< 3.35),
+         gnome-shell (>= 3.30),
+         libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording
  This extension simplifies the use of the video recording function integrated

## gnome-shell-extension-easyscreencast 1.1.0

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.1.0-2) unstable; urgency=medium

  * d/control: Declare compatibility with gnome 3.36 (closes: #956166)
  * d/control: Add Rules-Requires-Root: no

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Apr 2020 15:20:03 +0100

gnome-shell-extension-easyscreencast (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Bump Standards Version to 4.5.0
  * Move packaging to gnome's salsa org
  * Update d/control with "fakeroot debian/rules clean"
  * d/p/{deprecations|value-changed}.patch: Remove patches applied upstream
  * Add gbp.conf

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Apr 2020 01:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
 Build-Depends: debhelper (>= 12),
                libglib2.0-bin,
                gnome-pkg-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
-Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast
-Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-easyscreencast.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast.git
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 3.35),
+Depends: gnome-shell (<< 3.37),
          gnome-shell (>= 3.30),
          libgtk-3-common,
          ${misc:Depends}

## gnome-shell-extension-easyscreencast 1.1.0%2Bgit20210116.3252312

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = EasyScreenCast@iacopodeenosee.gmail.com
 NAME_EXTENSION = EasyScreenCast
-BASE_MODULES = convenience.js prefs.js selection.js utilgsp.js utilwebcam.js COPYING extension.js metadata.json README.md  settings.js  timer.js utilnotify.js Options_UI.glade package.json stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js
+BASE_MODULES = convenience.js prefs.js selection.js utilgsp.js utilwebcam.js COPYING extension.js metadata.json README.md settings.js timer.js utilnotify.js Options_UI.glade package.json stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js display_module.js
 IMG_MEDIA = icon_defaultSel.svg Icon_Info.png icon_recordingSel.svg icon_default.svg Icon_Performance.svg Icon_Quality.svg  icon_recording.svg
 
 TOLOCALIZE =  prefs.js extension.js selection.js utilwebcam.js

## gnome-shell-extension-easyscreencast 1.1.0+git20210116.3252312

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.1.0+git20210116.3252312-1) unstable; urgency=medium

  * New upstream version 1.1.0+git20210116.3252312
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add support for Gnome 3.38 with patch submitted on Github (closes: #971040)
    Thanks to Ian2020 for the patch and Bruno Kleinert <fuddl@debian.org>
    for the help.
  * d/p/makefile.patch: Add Forwarded field with 'not-needed' value

 -- Samuel Henrique <samueloph@debian.org>  Mon, 18 Jan 2021 04:16:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Sophie Brun <sophie@freexian.com>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                gnome-pkg-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast
@@ -19,8 +19,8 @@
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 3.37),
-         gnome-shell (>= 3.30),
+Depends: gnome-shell (<< 3.39),
+         gnome-shell (>= 3.38),
          libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording

=== debian/watch ===
version=4
https://github.com/EasyScreenCast/EasyScreenCast/tags .*/(.*)\.tar\.gz

## gnome-shell-extension-easyscreencast 1.4.0

=== Makefile ===
# EasyScreenCast Makefile

UUID = EasyScreenCast@iacopodeenosee.gmail.com
NAME_EXTENSION = EasyScreenCast
BASE_MODULES = convenience.js prefs.js prefs.css selection.js utilgsp.js utilwebcam.js COPYING extension.js \
               metadata.json README.md settings.js timer.js utilnotify.js Options_UI.glade Options_UI.glade-gtk4 \
               package.json stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js display_module.js
IMG_MEDIA = icon_defaultSel.svg Icon_Info.png icon_recordingSel.svg icon_default.svg Icon_Performance.svg \
            Icon_Quality.svg  icon_recording.svg

TOLOCALIZE =  prefs.js extension.js selection.js utilwebcam.js
MSGSRC = $(wildcard locale/*.po)

ifeq ($(strip $(DESTDIR)),)
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLBASE = $(DESTDIR)/usr/share/gnome-shell/extensions
endif

INSTALLNAME = EasyScreenCast@iacopodeenosee.gmail.com

# Determine the version from package.json
# Depending on whether this is a build from a tag (a release)
# the version is used without modification. If this is a build
# from a branch, then the extension version is increased.
# This extension version number will be set in metadata.json
PACKAGE_VERSION=$(shell jq -r .version < package.json)
EXTENSION_VERSION=$(shell jq -r .version < metadata.json)
IS_RELEASE=$(if $(findstring HEAD tags/,$(shell git name-rev HEAD)),Y,N)

ifeq ($(IS_RELEASE),Y)
	VERSION=$(PACKAGE_VERSION)
	NEXT_EXTENSION_VERSION=$(EXTENSION_VERSION)
else
	VERSION=$(shell git describe --tags)
	NEXT_EXTENSION_VERSION=$(shell echo "$$(($(EXTENSION_VERSION) + 1))")
endif
VSTRING = $(VERSION)_$(NEXT_EXTENSION_VERSION)

all: extension mergepo

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f ./locale/*.mo
	rm -f ./locale/easyscreencast.pot

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.easyscreencast.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./locale/easyscreencast.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./locale/easyscreencast.pot; \
	done;

./locale/easyscreencast.pot: $(TOLOCALIZE) Options_UI.glade Options_UI.glade-gtk4
	mkdir -p locale
	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --add-comments='Translators:' -o locale/easyscreencast.pot --package-name "EasyScreenCast" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Options_UI.glade
	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --join-existing -o locale/easyscreencast.pot Options_UI.glade.h
	rm Options_UI.glade.h
	intltool-extract --type=gettext/glade Options_UI.glade-gtk4
	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --join-existing -o locale/easyscreencast.pot Options_UI.glade-gtk4.h
	rm Options_UI.glade-gtk4.h

./locale/%.mo: ./locale/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
	-rm -fR _build
	echo done

versioninfo:
	@echo "====================================="
	@echo "Building $(NAME_EXTENSION) $(VSTRING)"
	@echo "====================================="

zip-file: _build
	cd _build ; \
	zip -qr "$(NAME_EXTENSION)_$(VSTRING).zip" .
	mv _build/$(NAME_EXTENSION)_$(VSTRING).zip ./
	-rm -fR _build

_build: versioninfo all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) _build
	mkdir -p _build/images
	cd images ; cp $(IMG_MEDIA) ../_build/images/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/$(UUID).mo; \
	done
	sed -i 's/"version": "[0-9]\{1,\}"/"version": "$(NEXT_EXTENSION_VERSION)"/'  _build/metadata.json

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Bump Standards-Version to 4.6.0
    - Declare gnome 40 compatibility (closes: #993061)
    - Declare gnome 41 compatibility (closes: #996055)
  * d/p/makefile.path: Update patch
  * d/p/338support.patch: Remove patch, upstream supports newer releases now
  * d/control: Add intltool build-dep
  * d/control: Update version requirement for gnome-shell
  * d/control: Add jq build-dep
  * d/install: Remove file test_GSP_webcam_pip

 -- Samuel Henrique <samueloph@debian.org>  Sat, 23 Oct 2021 14:07:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
            Sophie Brun <sophie@freexian.com>
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
+               intltool,
+               jq,
                gnome-pkg-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast
@@ -19,8 +21,8 @@
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 3.39),
-         gnome-shell (>= 3.38),
+Depends: gnome-shell (<< 42),
+         gnome-shell (>= 3.16),
          libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording

## gnome-shell-extension-easyscreencast 1.5.0

=== Makefile ===
--- 
+++ 
@@ -105,4 +105,13 @@
 		mkdir -p $$lf/LC_MESSAGES; \
 		cp $$l $$lf/LC_MESSAGES/$(UUID).mo; \
 	done
-	sed -i 's/"version": "[0-9]\{1,\}"/"version": "$(NEXT_EXTENSION_VERSION)"/'  _build/metadata.json
+	jq 'setpath(["version"]; "'$(NEXT_EXTENSION_VERSION)'")' metadata.json > _build/metadata.json
+	jq 'setpath(["fullversion"]; "'$(VERSION)'")' package.json > _build/package.json
+
+.PHONY: local-test
+local-test: install
+	dbus-run-session -- gnome-shell --nested
+
+.PHONY: lint
+lint:
+	npm run lint

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Mar 2022 19:52:44 +0000

## gnome-shell-extension-easyscreencast 1.7.0

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 UUID = EasyScreenCast@iacopodeenosee.gmail.com
 NAME_EXTENSION = EasyScreenCast
-BASE_MODULES = convenience.js prefs.js prefs.css selection.js utilgsp.js utilwebcam.js COPYING extension.js \
-               metadata.json README.md settings.js timer.js utilnotify.js Options_UI.glade Options_UI.glade-gtk4 \
-               package.json stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js display_module.js
+BASE_MODULES = convenience.js prefs.js prefs.css selection.js utilgsp.js utilwebcam.js extension.js \
+               metadata.json settings.js timer.js utilnotify.js Options_UI.glade Options_UI.glade-gtk4 \
+               stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js display_module.js
 IMG_MEDIA = icon_defaultSel.svg Icon_Info.png icon_recordingSel.svg icon_default.svg Icon_Performance.svg \
             Icon_Quality.svg  icon_recording.svg
 
@@ -106,7 +106,7 @@
 		cp $$l $$lf/LC_MESSAGES/$(UUID).mo; \
 	done
 	jq 'setpath(["version"]; "'$(NEXT_EXTENSION_VERSION)'")' metadata.json > _build/metadata.json
-	jq 'setpath(["fullversion"]; "'$(VERSION)'")' package.json > _build/package.json
+	sed '/FULL_VERSION/ s/dev/'$(VERSION)'/' convenience.js > _build/convenience.js
 
 .PHONY: local-test
 local-test: install

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.7.0-2) unstable; urgency=medium

  * d/control: Add support for Gnome 43 (missed on the previous upload)

 -- Samuel Henrique <samueloph@debian.org>  Sun, 28 Aug 2022 18:54:34 +0100

gnome-shell-extension-easyscreencast (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
    - Add support for Gnome 43 (closes: #1018266)
  * d/p/makefile.patch: Drop patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 28 Aug 2022 18:50:04 +0100

gnome-shell-extension-easyscreencast (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3

 -- Samuel Henrique <samueloph@debian.org>  Sat, 21 May 2022 11:47:53 +0100

gnome-shell-extension-easyscreencast (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
  * d/p/makefile.patch: Update patch
  * d/copyright: Update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Tue, 12 Apr 2022 21:57:08 +0100

gnome-shell-extension-easyscreencast (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * d/control:
    - Declare gnome 42 compatibility (closes: #1008546)
    - Upstream's minimum supported Gnome version is 3.38
    - Change Homepage to github

 -- Samuel Henrique <samueloph@debian.org>  Thu, 07 Apr 2022 23:06:04 +0100

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                gnome-pkg-tools
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://iacopodeenosee.wordpress.com/projects/easyscreencast/
+Homepage: https://github.com/EasyScreenCast/EasyScreenCast
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast.git
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 42),
-         gnome-shell (>= 3.16),
+Depends: gnome-shell (<< 44~),
+         gnome-shell (>= 3.38),
          libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording

## gnome-shell-extension-easyscreencast 1.7.1

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * New upstream version 1.7.1 (closes: #1041569)
  * d/control: Bump gnome-shell maximum supported version to << 46~

 -- Samuel Henrique <samueloph@debian.org>  Tue, 29 Aug 2023 20:32:32 +0100

## gnome-shell-extension-easyscreencast 1.9.0

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.9.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079242)
  * Bump maximum GNOME Shell to 47
  * Stop using debian/control.in and gnome-pkg-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Sep 2024 13:54:57 -0400

gnome-shell-extension-easyscreencast (1.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Amin Bandali ]
  * Change debian-branch from debian/master to debian/latest

  [ Leonardo Gonçalves Machado ]
  * New upstream version 1.9.0

 -- Leonardo Gonçalves Machado <leonardogm2003@gmail.com>  Thu, 04 Jul 2024 19:17:45 -0300

gnome-shell-extension-easyscreencast (1.7.1-2) unstable; urgency=medium

  * d/control.in: Update gnome-shell dependency here (missed on previous
    upload)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 01 Sep 2023 00:06:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-shell-extension-easyscreencast
 Section: gnome
 Priority: optional
@@ -11,8 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                intltool,
-               jq,
-               gnome-pkg-tools
+               jq
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EasyScreenCast/EasyScreenCast
@@ -21,8 +16,8 @@
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 44~),
-         gnome-shell (>= 3.38),
+Depends: gnome-shell (<< 48~),
+         gnome-shell (>= 46~),
          libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording

## gnome-shell-extension-easyscreencast 1.11.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 UUID = EasyScreenCast@iacopodeenosee.gmail.com
 NAME_EXTENSION = EasyScreenCast
 BASE_MODULES = convenience.js prefs.js prefs.css selection.js utilgsp.js utilwebcam.js extension.js \
-               metadata.json settings.js timer.js utilnotify.js Options_UI.glade Options_UI.glade-gtk4 \
+               metadata.json settings.js timer.js utilnotify.js Options_UI.glade \
                stylesheet.css utilaudio.js utilrecorder.js utilexecmd.js display_module.js
 IMG_MEDIA = icon_defaultSel.svg Icon_Info.png icon_recordingSel.svg icon_default.svg Icon_Performance.svg \
             Icon_Quality.svg  icon_recording.svg
@@ -56,15 +56,12 @@
 		msgmerge -U $$l ./locale/easyscreencast.pot; \
 	done;
 
-./locale/easyscreencast.pot: $(TOLOCALIZE) Options_UI.glade Options_UI.glade-gtk4
+./locale/easyscreencast.pot: $(TOLOCALIZE) Options_UI.glade
 	mkdir -p locale
 	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --add-comments='Translators:' -o locale/easyscreencast.pot --package-name "EasyScreenCast" $(TOLOCALIZE)
 	intltool-extract --type=gettext/glade Options_UI.glade
 	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --join-existing -o locale/easyscreencast.pot Options_UI.glade.h
 	rm Options_UI.glade.h
-	intltool-extract --type=gettext/glade Options_UI.glade-gtk4
-	xgettext -k --keyword=_ --keyword=N_ --from-code=UTF-8 --join-existing -o locale/easyscreencast.pot Options_UI.glade-gtk4.h
-	rm Options_UI.glade-gtk4.h
 
 ./locale/%.mo: ./locale/%.po
 	msgfmt -c $< -o $@

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:05:18 -0500

gnome-shell-extension-easyscreencast (1.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove GNOME Shell 47 patch: applied in new release
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096043)
  * Bump maximum GNOME Shell to 48
  * Don't install backup translation files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 12:34:22 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 48~),
+Depends: gnome-shell (<< 49~),
          gnome-shell (>= 46~),
          libgtk-3-common,
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm -fv debian/*/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/locale/*.po~

## gnome-shell-extension-easyscreencast 1.11.1

=== Makefile ===
--- 
+++ 
@@ -107,6 +107,9 @@
 
 .PHONY: local-test
 local-test: install
+	#export G_MESSAGES_DEBUG=all; \
+	export MUTTER_DEBUG_DUMMY_MODE_SPECS=1280x800; \
+	export SHELL_DEBUG=all; \
 	dbus-run-session -- gnome-shell --nested
 
 .PHONY: lint

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.11.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.11.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 10:57:37 -0400

gnome-shell-extension-easyscreencast (1.11.0-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 18:19:17 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
                intltool,
-               jq
+               jq,
+               python3
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/EasyScreenCast/EasyScreenCast
@@ -16,8 +17,8 @@
 
 Package: gnome-shell-extension-easyscreencast
 Architecture: all
-Depends: gnome-shell (<< 49~),
-         gnome-shell (>= 46~),
+Depends: gnome-shell (>= ${gnome:MinimumVersion}~),
+         gnome-shell (<< ${gnome:MaximumVersion}~),
          libgtk-3-common,
          ${misc:Depends}
 Description: GNOME Shell extension to simplify video recording

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm -fv debian/*/usr/share/gnome-shell/extensions/EasyScreenCast@iacopodeenosee.gmail.com/locale/*.po~

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

## gnome-shell-extension-easyscreencast 1.12.0

=== debian/changelog ===
gnome-shell-extension-easyscreencast (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12.0
    Support GNOME Shell 49 (Closes: #1115509, #971550)
  * d/control: Bump Standards-Version to 4.7.2 (no changes)
  * d/rules: Restore .po files after build to fix
    FTBFS (Closes: #1044793)
  * d/watch: Upgrade to version 5 using Github template

 -- Matheus Polkorny <mpolkorny@gmail.com>  Mon, 15 Dec 2025 00:30:41 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                intltool,
                jq,
                python3
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/EasyScreenCast/EasyScreenCast
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-easyscreencast

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,12 @@
 	dh_gencontrol -- \
 		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
 		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")
+
+# This is required because upstream regenerates .po files from the .pot during
+# the build, modifying upstream source files. As a result, rebuilding the
+# package is not reproducible and triggers an FTBFS, see bug #1044793.
+execute_after_dh_auto_clean:
+	find locale/ -type f -name '*.po~' | \
+	while read -r f; do \
+		mv -v "$$f" "$$(dirname "$$f")/$$(basename "$$f" "~")"; \
+	done

=== debian/watch ===
Version: 5

Template: Github
Owner: EasyScreenCast
Project: EasyScreenCast
